import { StaticEntry } from './StaticVFS';
import { ExtraLibs } from './TypeScriptConfig';
/**
 * Default location for "extraLibs".
 */
export declare const DEFAULT_EXTRA_LIBS_LOCATION = "file:///node_modules/";
/**
 * Default location for global imports file.
 */
export declare const DEFAULT_GLOBAL_IMPORTS = "file:///gen/globals.d.ts";
/**
 * Default location for TypeScript built-in libs.
 */
export declare const DEFAULT_LIB_LOCATION: string;
/**
 * Serve a hash of "extraLibs".
 */
export declare function extraLibsStatic(options: {
    extraLibs: ExtraLibs;
    prefix?: string;
}): StaticEntry[];
export interface ImportGlobalsOptions {
    preloadLibs: string[];
    definitionPath?: string;
}
export declare function importGlobalsStatic(options: ImportGlobalsOptions): StaticEntry;
